#!/usr/local/bin/perl

$JAVAC = "/caip/u78/imagebank/jdk1.1.4/bin/javac";

$JAVAC_OPTS = " -O ";

$CLASSPATH_JDK = "/caip/u78/imagebank/jdk1.1.4/lib/classes.zip";
$CLASSPATH_IDL = "/caip/u29/JavaIDL/lib/classes.zip";

$JAVA_DIR = "../java";
$CLASS_DIR = "../classes";


## -------------------------------------------------------------------------
##			Do not change anything after this line.
## -------------------------------------------------------------------------

open(MAKE_FILE, ">Makefile");

## Put the following block in the make file:

print MAKE_FILE "

JAVAC = $JAVAC

JAVAC_OPTS = $JAVAC_OPTS

JAVA_DIR = $JAVA_DIR

CLASS_DIR = $CLASS_DIR

CLASSPATH=.:$CLASSPATH_JDK:$CLASSPATH_IDL:$JAVA_DIR:$CLASS_DIR

";

## For each ".java" file that is located in all subdirectories
## put a corresponding ".class" file in the CLASSFILES variable
## in the make file.

$pattern = '\.java';
open(FIND_BUF,
    "find $JAVA_DIR -print | grep -v '~' | grep -v '#' | "
) || die "couldn't run find:$!\n";


print MAKE_FILE 'CLASSFILES=';

while (<FIND_BUF>) {

    if (/$pattern/) {
	chop;

	$_ =~ s/.*\/java\/(.*)\.java/\/$1\.class/;
	print MAKE_FILE "\\","\n";
	print MAKE_FILE '$(CLASS_DIR)',$_;
    }
}


print MAKE_FILE '

all: $(CLASSFILES)

# Rule for compiling a normal ".java" file:

$(CLASS_DIR)/%.class: $(JAVA_DIR)/%.java';


print MAKE_FILE "\n", "\t", '$(JAVAC) $(JAVAC_OPTS) -classpath $(CLASSPATH) -d $(CLASS_DIR) $<
';
