// for emacs: -*- C++ -*-

// last update: 07/28/97

package EDU.rutgers.act.clntsrv.threadengine;

import EDU.rutgers.act.protocol.*;

/**********************************************
 * SEQConnectionFactory                       *
 **********************************************/
/**********************************************
 * This class creates implements a SEQuential
 * policy, used to implement a sequential
 * server.
 **********************************************/
public class SEQConnectionFactory implements ConnectionFactory
{ 
  // constructors
  public SEQConnectionFactory(RequestHandlerFactory requestHandlerFactory)
    {
      requestHandlerFactory_ = requestHandlerFactory;
    }

  // public methods
  public void createConnection(Protocol protocol)
    {
      Connection connection = new Connection(requestHandlerFactory_, protocol);
      connection.run();
    }

  // data members
  RequestHandlerFactory requestHandlerFactory_;
}
