package EDU.rutgers.cbus.presentation;

import java.util.EventObject;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.Component;

public class ActionAdaptor
  extends EventAdaptor
  implements ActionListener
{
  public ActionAdaptor(Component component)
    {
      super(component);
    }
  
 /*******************************************************
  * The MouseAdaptor is a source of MouseEvents.
  * Therefore implement all needed methods.
  *******************************************************/
  public synchronized void addActionListener(ActionListener l)
    {
      eventListeners_.addElement(l);
    }
  
  public synchronized void removeActionListener(ActionListener l)
    {
      eventListeners_.removeElement(l);
    }

  protected void invoke(Object target, EventObject event)
    {
      ActionEvent ae = (ActionEvent)event;
      ActionListener ml = (ActionListener) target;
      ml.actionPerformed(ae);
    }
 /*******************************************************
  * The MouseAdaptor is a source of MouseEvents.
  * Therefore implement all needed methods.
  *******************************************************/
  public void actionPerformed(ActionEvent e)
    {
      this.processEvent(e);
    }
}
