package EDU.rutgers.cbus.presentation;

import java.awt.*;
import java.awt.event.*;

import EDU.rutgers.cbus.clntsrv.Communicator;

class B3ActionListener implements ActionListener
{
  protected boolean logging_;
  protected Button button_;
  protected TextField logName_;
  protected Communicator comm_;

  public B3ActionListener(Button b, TextField logName, Communicator comm)
    {
      logging_ = false;
      button_ = b;
      logName_ = logName;
      comm_ = comm;
    }
  
  public void actionPerformed(ActionEvent e)
    {
      logging_ = !logging_;
      
      comm_.logEvents(logging_, logName_.getText());
      button_.setLabel(logging_?"Stop Logging":"Start Logging");
    }
}
  
