// last update 5/21/98

package EDU.rutgers.cbus.protocol.actions;

import EDU.rutgers.act.protocol.*;

public class CBusClientSTART implements FSMAction
{
  // - receives:
  //    - 'current' the message that generated this transition
  //    - 'previous' the last sent message
  // - performs some computations in order to
  //    - decide the following state
  //    - decide the message to be transmitted
  // - returns the following state for the FSM and the message
  //     to be transmitted if any, in 'next'
  public int run(Message previous,
		 Message current, 
		 Message[] next)
    {
      next[0] = current;
      return FSMAction.START;
    }
}
