// for emacs only: -*- C++ -*-

// last update: 11/13/1997

package EDU.rutgers.CORBA.idl.ir;

import java.io.*;

public class FileCreator
{
  public OutputStream create(String name) throws IOException
    {
      return create(name, File.separator);
    }

  public OutputStream create(String name, String separator) throws IOException
    {
      PackageTrack pt = Generator.packTrack_;
      String dir = Generator.baseDir_;

      // build the path
      for(int i = 0; i < pt.len_; i++)
	  dir = dir + separator + pt.id_[i];

      // make sure all the directories exist
      File f = new File(dir);
      if(!f.exists())
	f.mkdirs();
      
      return new FileOutputStream(dir + separator + name);
    }
}
