// for emacs only: -*- C++ -*-

// last update: 11/04/1997

package EDU.rutgers.CORBA.idl.ir;

public class ModuleCell extends DefinitionCell
{
  public ModuleCell(String id,
		    SpecificationCell spec)
    {
      type_ = T_MODULE;
      id_ = id;     // module name
      spec_ = spec; // module definitions
    }
  
  public void generate(int indent) throws java.io.IOException
    {
      Generator.packTrack_.push(id_);
      spec_.generate(indent);
      Generator.packTrack_.pop();
    }


  public void print(int indent)
    {
      printIndent(indent);
      System.out.println("MODULE_CELL: " + id_);
      if(spec_ != null)
	spec_.print(indent + 2);
    }

  // data members
  public String id_;
  public SpecificationCell spec_;
}
