package EDU.rutgers.act.endpoint.mcast;

//import inria.net.rtp.*;
import inria.net.lrmp.*;

import java.io.*;
import java.util.*;

public class InputStreamFactory extends Thread implements LrmpEventHandler
{
  private LrmpPacket packet;
  private Queue packet_queue;
  private Hashtable hash;
  private Queue temp_queue;
  private Queue stream_queue;

  public InputStreamFactory()
    {
      stream_queue = new Queue();
      hash = new Hashtable();
    }
  
  public synchronized void processData(LrmpPacket pack)
    {
      //	System.out.println("A packet has arrived......");
      if(hash.containsKey(pack.getSource()))
	{
	  //System.out.println("From the source"+hash.get(pack.getSource()));
	  temp_queue = (Queue) hash.get(pack.getSource());
	}
      else  
	{
	  //System.out.println("The First packet from this source.....");
	  temp_queue= new Queue();
	  hash.put(pack.getSource(),temp_queue);
	  stream_queue.insert(temp_queue);
	  //System.out.println(".....New InputStream Created");
	}
      temp_queue.insert(pack);
    }
  
  public void processEvent(int Event, Object data) {}
  
  public Queue accept()
    {
      //System.out.println("InputStream being created.......");
      
      temp_queue = (Queue) stream_queue.remove();
      
      //System.out.println("......InputStream Created");
      return temp_queue;
    }
}
