package EDU.rutgers.act.protocol.mcast;

import EDU.rutgers.util.Verbose;
import EDU.rutgers.act.protocol.*;
import EDU.rutgers.act.presentation.TypeReader;

public class ServerReceiver implements Receiver
{
  TypeReader tr_;
  MessageFactory mf_;

  public ServerReceiver(TypeReader tr,
			MessageFactory mf)
    {
      tr_ = tr;
      mf_ = mf;
    }

  public synchronized Message receiveMessage() throws java.io.IOException
    {
      return mf_.createFromStream(tr_);
    }
}
