package EDU.rutgers.naming;

import ORG.omg.CORBA.BAD_PARAM;

public final class BindingType
	{

	public static final int _nobject = 0;
	public static final BindingType nobject = new BindingType(_nobject);

	public static final int _ncontext = 1;
	public static final BindingType ncontext = new BindingType(_ncontext);

	private int _value;

	public int value() {
		return _value;
		}

	public static BindingType from_int(int value) {
		switch (value)
			{
			case _nobject:
				return nobject;

			case _ncontext:
				return ncontext;

			default:
				throw new BAD_PARAM();
			}
		}

	private BindingType(int value) {
		_value = value;
	}
	}
