// last modified 12/18/97

package examples.ACTMUD;

import examples.ACTMUD.generated.*;

public class _ACTMUDSrvImpl extends _ACTMUDSrvImplBase

{
  final int MAX_CLNT = 100;

  protected ACTMUDClnt[] clients;
  protected String[] names;
  int clntNo;

  public _ACTMUDSrvImpl()
    {
      clients = new ACTMUDClnt[MAX_CLNT];
      names = new String[MAX_CLNT];
      clntNo = 0;
    }

  // send 'msg' to everybody (all the registered clients)
  public void say(String msg, String name)
    {
      int i;
      for(i = 0; i < clntNo; i++)
	{
	  System.err.println("Sending: " + msg);
	  clients[i].type(name + " says: " + msg);
	  System.err.println("Sent");
	}
    }
  
  public synchronized void register(ACTMUDClnt clnt, String name)
    {
      names[clntNo] = name;
      clients[clntNo++] = clnt;
      System.err.println("registered client " + clntNo + " as " + name);
    }
  
  public synchronized void unregister(String name)
    {
      //a client is leaving the game
      System.out.println("unregistered client " + name);
      int i;
      for(i=0; names[i].compareTo(name) != 0; i++);
      clntNo--;
      names[i] = names[clntNo];
      clients[i] = clients[clntNo];
    }
  
}

