package examples.InterORB.ACT;


import ORG.omg.CORBA.*;
import EDU.rutgers.CORBA.IOP.IOR;
import EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference;
import EDU.rutgers.act.presentation.TypeWriter;
import EDU.rutgers.act.presentation.TypeReader;

public class TestObjectStub
  extends EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference
  implements TestObject
{
  public TestObjectStub(IOR ior)
    {
      super(ior);
    }

  public boolean _is_a(
          String logicalTypeId
  )
    {
      TypeWriter out = getTypeWriter("_is_a");
      boolean result = false;
      IOR ior;
      try {
        out.writeString(logicalTypeId);
        TypeReader in = getTypeReader();
        result = in.readBoolean();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public void print(
          int number
  )
    {
      TypeWriter out = getTypeWriter("print");
      IOR ior;
      try {
        out.writeLong(number);
        TypeReader in = getTypeReader();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
    }

}