// for emacs only: -*- C++ -*-

// last modification 12/13/97

package examples.TSTP.messages;

import java.io.*;
import EDU.rutgers.act.protocol.Message;
import EDU.rutgers.act.protocol.MessageFactory;
import EDU.rutgers.act.presentation.TypeReader;
import ORG.omg.CORBA.MARSHAL;
import ORG.omg.CORBA.BAD_PARAM;

/********** TSTPMessage Factory ***********/

public class TSTPMessageFactory implements MessageFactory
{
  public Message createFromStream(TypeReader is) throws MARSHAL
    {
      Message message;
      try
	{
	  message = (Message)new TSTPMessage();
	  message.read(is);
	  if(message.getType() == -1)
	    message = null;
        } catch (java.io.IOException e) {
	  // rethrows MARSHAL
	  throw new MARSHAL();
        } catch (BAD_PARAM e) {
	  // rethrows MARSHAL
	  throw new MARSHAL();
        }
      return message;
    }
}
