package Testing;


import ORG.omg.CORBA.*;
import EDU.rutgers.CORBA.IOP.IOR;
import EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference;
import EDU.rutgers.act.presentation.TypeWriter;
import EDU.rutgers.act.presentation.TypeReader;

public class ArrayProcessorStub
  extends EDU.rutgers.CORBA.clntsrv.PortableServer.ObjectReference
  implements ArrayProcessor
{
  public ArrayProcessorStub(IOR ior)
    {
      super(ior);
    }

  public boolean _is_a(
          String logicalTypeId
  )
    {
      TypeWriter out = getTypeWriter("_is_a");
      boolean result = false;
      IOR ior;
      try {
        out.writeString(logicalTypeId);
        TypeReader in = getTypeReader();
        result = in.readBoolean();
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

  public boolean revert(
          ArrayHolder arg
  )
    {
      TypeWriter out = getTypeWriter("revert");
      boolean result = false;
      IOR ior;
      int[] argAux = null;
      try {
        out.writeULong(arg.value.length);
        for(int ArrayInd = 0; ArrayInd < arg.value.length; ArrayInd++)
          {
            out.writeLong(arg.value[ArrayInd]);
          }
        TypeReader in = getTypeReader();
        result = in.readBoolean();
        argAux = new int[in.readULong()];
        for(int ArrayInd = 0; ArrayInd < argAux.length; ArrayInd++)
          {
            argAux[ArrayInd] = in.readLong();
          }
        arg.value = argAux;
      }
      catch(java.io.IOException e)
      {
        System.out.println("Marshaling/unmarshaling error: " + e);
        System.exit(1);
      }
      return result;
    }

}