package examples.milmap;

import java.awt.*;
import java.io.Serializable;

public class Icon extends Component implements Serializable
{
	private transient Image icon_;
	Point pos_;

	public Icon(Image img, int x, int y)
	{
		icon_ = img;
		pos_ = new Point();
		pos_.x = x;
		pos_.y = y;
	}	

	public void setIconImage(Image img)
	{
		icon_ = img;
	}

	public Image getIconImage()
	{
		return icon_;
	}

	public Point getPosition()
	{
		return pos_;
	}

	public void setPosition(Point pos)
	{
		pos_ = pos;
	}

	public int getX()
	{
		return pos_.x;
	}

	public int getY()
	{
		return pos_.y;
	}

	public int getWidth()
	{
		return 50;
	}

	public int getHeight()
	{
		return 50;
	}
}
